Subject: Re: ath9k build failure

From: "John W. Linville" <[email-masked]>
Date: Tue, 12 Aug 2008 09:21:48 -0400

On Tue, Aug 12, 2008 at 01:33:54PM +1000, Stephen Rothwell wrote:
> Hi Luis,
> 
> On Mon, 11 Aug 2008 09:46:57 -0700 "Luis R. Rodriguez" <[email-masked]> wrote:
> >
> > On Sun, Aug 10, 2008 at 11:20:40PM -0700, Stephen Rothwell wrote:
> > > 
> > > Today's linux-next build (powerpc allyesconfig) failed like this:
> > > 
> > > drivers/net/wireless/ath9k/hw.c: In function 'ath9k_hw_spur_mitigate':
> > > drivers/net/wireless/ath9k/hw.c:4925: internal compiler error: in expand_expr_real_1, at expr.c:9199
> > > 
> > > This is a driver that is in Linus' tree and has no patches in the
> > > linux-next tree.
> > > 
> > > The original work around talked about applying the patch twice, so I
> > > applied the below patch.
> > 
> > this is also in wireless-testing. I also see this in linux-2.6
> > under b08cbcd4546445740c2a04291204b56f8baf7be2. Not sure how this didn't
> > get through linux-next.
> 
> That is only the first application of the patch, my patch is a fix of a
> second instance of the same code.  See Adrian's post.

My bad...I'll fix it up w/ the next batch of fixes...

John
-- 
John W. Linville
[email-masked]